package com.nokia.financeapi.controller.car;

import com.nokia.financeapi.common.R;
import com.nokia.financeapi.pojo.dto.GetCarReportDto;
import com.nokia.financeapi.pojo.vo.GetCarReportVo;
import com.nokia.financeapi.service.car.CarReportService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

@Tag(name = "车辆报告")
@RestController
@RequestMapping("/house-car/car/report/api")
public class CarReportController {
    private final CarReportService carReportService;

    public CarReportController(CarReportService carReportService) {
        this.carReportService = carReportService;
    }

    @Operation(summary = "获取车辆报告pdf")
    @PostMapping("/getReportPdf")
    public R<GetCarReportVo> getReportPdf(@Valid @RequestBody GetCarReportDto dto) {
        return carReportService.getReportPdf(dto);
    }

    @Operation(summary = "获取车辆报告word")
    @PostMapping("/getReportWord")
    public R<GetCarReportVo> getReportWord(@Valid @RequestBody GetCarReportDto dto) {
        return carReportService.getReportWord(dto);
    }
}
