package com.nokia.financeapi.dao.house;

import com.nokia.financeapi.pojo.dto.GetCarReportDto;
import com.nokia.financeapi.pojo.po.car.CarReportsPo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface CarReportDao {
    /**
     * 获取最新报告
     */
    @Select("""
select
    *
from
    car.car_reports
where
    year_month = (
    select
        max(year_month)
    from
        car.car_reports)
    and file_type = #{dto.fileType}
""")
    CarReportsPo getLatest(@Param("dto") GetCarReportDto dto);

    /**
     * 根据年月获取报告
     */
    @Select("""
select
    *
from
    car.car_reports
where
    year_month = #{dto.endDate}
    and file_type = #{dto.fileType}
""")
    CarReportsPo getByDate(@Param("dto") GetCarReportDto dto);
}
