package com.nokia.financeapi.dao.house;

import com.nokia.financeapi.pojo.dto.GetHouseReportDto;
import com.nokia.financeapi.pojo.po.house.HouseReportsPo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface HouseReportDao {
    /**
     * 获取最新报告
     */
    @Select("""
select
    *
from
    house.house_reports
where
    year_month = (
    select
        max(year_month)
    from
        house.house_reports)
    and file_type = #{dto.fileType}
""")
    HouseReportsPo getLatest(@Param("dto") GetHouseReportDto dto);

    /**
     * 根据年月获取报告
     */
    @Select("""
select
    *
from
    house.house_reports
where
    year_month = #{dto.endDate}
    and file_type = #{dto.fileType}
""")
    HouseReportsPo getByDate(@Param("dto") GetHouseReportDto dto);
}
