package com.nokia.financeapi.service.car;

import com.nokia.financeapi.common.R;
import com.nokia.financeapi.dao.house.CarReportDao;
import com.nokia.financeapi.pojo.dto.GetCarReportDto;
import com.nokia.financeapi.pojo.po.car.CarReportsPo;
import com.nokia.financeapi.pojo.vo.GetCarReportVo;
import com.nokia.financeapi.service.common.file.FileService;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

@Service
public class CarReportService {
    private final FileService fileService;
    private final CarReportDao carReportDao;

    public CarReportService(FileService fileService, CarReportDao carReportDao) {
        this.fileService = fileService;
        this.carReportDao = carReportDao;
    }

    public R<GetCarReportVo> getReportWord(GetCarReportDto dto) {
        dto.setFileType("word");
        return getReport(dto);
    }

    public R<GetCarReportVo> getReportPdf(GetCarReportDto dto) {
        dto.setFileType("pdf");
        return getReport(dto);
    }

    private R<GetCarReportVo> getReport(GetCarReportDto dto) {
        GetCarReportVo vo = new GetCarReportVo();
        vo.setUrl("");
        String object = null;
        if (dto.getEndDate() == null) {
            CarReportsPo po = carReportDao.getLatest(dto);
            if (po != null) {
                object = po.getUrl();
            }
        } else {
            CarReportsPo po = carReportDao.getByDate(dto);
            if (po != null) {
                object = po.getUrl();
            }
        }
        if (StringUtils.hasText(object)) {
            String url = fileService.getDownloadUrl(object);
            vo.setUrl(url);
        }
        return R.ok(vo);
    }
}
